import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { TraxService } from '../../services/trax.service';
import { Router } from '@angular/router';
import dayjs from 'dayjs';
import * as i0 from "@angular/core";
export declare class ActivityLogComponent implements OnInit, OnDestroy {
    gs: GlobalStateService;
    private pageInfo;
    private TraxService;
    private changeDetector;
    private router;
    private destroy$;
    headerData: any;
    activityLogLoading: boolean;
    activityLogNoData: boolean;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    sortColumName: string;
    sortBy: any;
    sortDirection: any;
    paginationSizes: any[];
    pageSize: number;
    activityLog: any[];
    dayjs: typeof dayjs;
    date: any;
    userEmailes: any;
    constructor(gs: GlobalStateService, pageInfo: PageInfoService, TraxService: TraxService, changeDetector: ChangeDetectorRef, router: Router);
    ngOnDestroy(): void;
    ngOnInit(): void;
    getActivityLog(): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    setPaginationSizes(): void;
    navigateToGallery(log: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActivityLogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActivityLogComponent, "lib-activity-log", never, {}, {}, never, never, false, never>;
}
